Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::ORB_ObjectIdList Class Reference

`#include <ObjectIdListC.h>`

Inheritance diagram for CORBA::ORB_ObjectIdList:

[legend]
Collaboration diagram for CORBA::ORB_ObjectIdList:

[legend]
List of all members.

## Public Types
typedef ORB_ObjectIdList_var | _var_type
## Public Methods
| ORB_ObjectIdList (void)
| ORB_ObjectIdList (CORBA::ULong max)
| ORB_ObjectIdList (CORBA::ULong max, CORBA::ULong length, char **buffer, CORBA::Boolean release=0)
| ORB_ObjectIdList (const ORB_ObjectIdList &)
| ~ORB_ObjectIdList (void)

## Member Typedef Documentation

typedef ORB_ObjectIdList_var CORBA::ORB_ObjectIdList::_var_type

## Constructor & Destructor Documentation

CORBA::ORB_ObjectIdList::ORB_ObjectIdList | ( | void |  | ) |

CORBA::ORB_ObjectIdList::ORB_ObjectIdList | ( | CORBA::ULong | max | ) |

CORBA::ORB_ObjectIdList::ORB_ObjectIdList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | char ** | buffer,
|  | CORBA::Boolean | release = 0
| ) |

CORBA::ORB_ObjectIdList::ORB_ObjectIdList | ( | const ORB_ObjectIdList & |  | ) |

CORBA::ORB_ObjectIdList::~ORB_ObjectIdList | ( | void |  | ) |

The documentation for this class was generated from the following files:

- ObjectIdListC.h
- ObjectIdListC.cpp